import { Injectable, NotFoundException } from '@nestjs/common';
import { Repository } from 'typeorm';
import { InjectRepository } from '@nestjs/typeorm';
import { Institucion } from './institucion.entity';

@Injectable()
export class InstitucionService {
  constructor(
    @InjectRepository(Institucion) private repository: Repository<Institucion>,
  ) {}

  findAll() {
    return this.repository.find();
  }

  findById(id_institucion: number) {
    const institucion = this.repository.find({ where: { id_institucion } });

    if (!institucion)
      throw new NotFoundException('No existe esta institución.');
    return institucion;
  }
}
